# Spec file for Mozart, an efficient and distributed implementation of Oz
# Author: Christian Schulte, 1998
# Copyright: Christian Schulte, 1998
Name: mozart
Version: 1.0.1.19990218
Release: 24
Summary: Mozart, an efficient and distributed implementation of Oz
Copyright: Free
Vendor: Mozart Consortium
Url: http://www.mozart-oz.org/
Group: Development/Languages
Packager: Christian Schulte <schulte@ps.uni-sb.de>
Icon: mozart.xpm

Source0: ftp://ftp.mozart-oz.org/pub/1.0.1.19990218/tar/mozart-1.0.1.19990218-src.tar.gz
Source1: ftp://ftp.mozart-oz.org/pub/1.0.1.19990218/tar/mozart-1.0.1.19990218-doc.tar.gz
Source2: mozart-profiles.tar.gz

BuildRoot: /var/tmp/mozart-1.0.1.19990218

%description
The Mozart system provides state-of-the-art support in two areas: open
distributed computing and constraint-based inference. Mozart
implements Oz, a concurrent object-oriented language with dataflow
synchronization. Oz combines concurrent and distributed programming
with logical constraint-based inference, making it a unique choice for
developing multi-agent systems. Mozart is an ideal platform for both
general-purpose distributed applications as well as for hard problems
requiring sophisticated optimization and inferencing abilities. We
have developed applications in scheduling and time-tabling, in
placement and configuration, in natural language and knowledge
representation, multi-agent systems and sophisticated collaborative
tools.

Mozart has been jointly developed by the Programming Systems Lab at
DFKI and Universitt des Saarlandes, the Swedish Institute of Computer
Science, and Universit de Louvain.

This package contains all you need to run and develop Oz programs with
Mozart.
%package doc
Summary: Mozart documentation
Group: Development/Languages
requires: mozart
%description doc
This package contains the extensive Mozart online documentation as a set of
HTML pages. It also contains demo applications that can directly be
started from the pages.
%package contrib
Summary: Mozart contributions
Group: Development/Languages
requires: mozart
%description contrib
This package contains a collection of contributed software packages
fro Mozart that might come in handy for applications like a regular
expression package, data base interfaces, and so on.
%prep
rm -rf $RPM_BUILD_DIR/mozart-1.0.1.19990218 
%setup -c -D -T -a 0
mkdir tmp-doc
cd tmp-doc
gzip -dc $RPM_SOURCE_DIR/mozart-1.0.1.19990218-doc.tar.gz | tar xf -
mv mozart/doc ..
cd ..
chown -R root .
chgrp -R root .
chmod -R a+rX,g-w,o-w .
rm -rf tmp-doc 
%setup -c -D -T -a 2

%build
cd mozart
: ${CFLAGS="$RPM_OPT_FLAGS"} && : ${CXXFLAGS="$RPM_OPT_FLAGS"} && export CFLAGS && export CXXFLAGS && ./configure --prefix=$RPM_BUILD_ROOT/usr/lib/mozart

make

%install
PREFIX=$RPM_BUILD_ROOT/usr/lib/mozart
rm -rf $PREFIX
mkdir -p $PREFIX
# install docs
rm -rf doc/demo/applets
cp -a doc $PREFIX
# Generic install
(cd mozart && make install)

# With this installation stripping works fine

%ifarch i386

(cd $PREFIX/platform/linux-i486 && 	strip *.exe && 	strip *.so )

(cd $PREFIX/contrib && 	strip ./*/*.so-linux-i486 && 	strip *.so-linux-i486 )

%endif

# config files
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -a oz.sh oz.csh $RPM_BUILD_ROOT/etc/profile.d

%clean
rm -rf $RPM_BUILD_ROOT
%files
%doc mozart/README mozart/LICENSE mozart/LICENSE.html
%config /etc/profile.d/oz.sh
%config /etc/profile.d/oz.csh
/usr/lib/mozart/LICENSE
/usr/lib/mozart/LICENSE.html
/usr/lib/mozart/bin
/usr/lib/mozart/cache
/usr/lib/mozart/include
/usr/lib/mozart/platform
/usr/lib/mozart/share
%files doc
/usr/lib/mozart/doc
/usr/lib/mozart/examples
%files contrib
/usr/lib/mozart/contrib
